<?php
defined('CONF_URL_APP') or die;
if (!defined("DBT_ANUNCIOS_CONTACTOS"))
	define('DBT_ANUNCIOS_CONTACTOS', DB_PREFIX.'anuncios_contactos');
class AnuncioContacto
{
    var $id;
    var $anuncio_id;
	var $nombre;
    var $email;
    var $fecha;
	var $telefono;
	var $asunto;
	var $mensaje;
	var $params;
    //id
    function setid($v)
    {
        $this->id = $v;
    }
    function getid()
    {
        return $this->id;
    }
    //anuncio_id
    function setanuncio_id($v)
    {
        $this->anuncio_id = $v;
    }
    function getanuncio_id()
    {
        return utf8_decode($this->anuncio_id);
    }
	//nombre
    function setnombre($v)
    {
        $this->nombre = $v;
    }
    function getnombre()
    {
        return utf8_decode($this->nombre);
    }
    //email
    function setemail($v)
    {
        $this->email = $v;
    }
    function getemail()
    {
        return utf8_decode($this->email);
    }
    //fecha
    function setfecha($v)
    {
        $this->fecha = $v;
    }
    function getfecha()
    {
        return $this->fecha;
    }
	//telefono
    function settelefono($v)
    {
        $this->telefono = $v;
    }
    function gettelefono()
    {
        return $this->telefono;
    }
	//asunto
    function setasunto($v)
    {
        $this->asunto = $v;
    }
    function getasunto()
    {
		return $this->asunto;
    }
	//mensaje
    function setmensaje($v)
    {
        $this->mensaje = $v;
    }
    function getmensaje()
    {
        return $this->mensaje;
    }
	//params
    function setparams($v)
    {
        $this->params = $v;
    }
    function getparams()
    {
        return $this->params;
    }
    private function filtroEntrada($email)
    {
        return (Helpers::mres(utf8_decode($email)));
    }
    private function filtroSalida($email)
    {
        return (utf8_encode($email));
    }
    function Guardar()
    {
        $link = new DB();
        $sql  = "
				INSERT INTO 
							" . DBT_ANUNCIOS_CONTACTOS . "(
													 	anuncio_id,
														nombre,
														email,
														telefono,
														asunto,
														mensaje,
														params
												 		)
							  
												  VALUES(
														 '" . mysql_real_escape_string($this->anuncio_id) . "',
														 '" . mysql_real_escape_string($this->nombre) . "',
														 '" . mysql_real_escape_string($this->email) . "',
														 '" . mysql_real_escape_string($this->telefono) . "',
														 '" . mysql_real_escape_string($this->asunto) . "',
														 '" . mysql_real_escape_string($this->mensaje) . "',
														 '" . mysql_real_escape_string($this->params) . "'
														)
			   ";
        $res  = $link->Query($sql);
        return $res;
    }
    function Modificar()
    {
        if ($this->id) {
            $link = new DB();
            $sql  = "
					UPDATE
						" . DBT_ANUNCIOS_CONTACTOS . "
						
					SET
						anuncio_id = '" . mysql_real_escape_string($this->anuncio_id) . "',
						nombre = '" . mysql_real_escape_string($this->nombre) . "',
						email = '" . mysql_real_escape_string($this->email) . "',
						telefono = '" . mysql_real_escape_string($this->telefono) . "',
						asunto = '" . mysql_real_escape_string($this->asunto) . "',
						mensaje = '" . mysql_real_escape_string($this->mensaje) . "',
						params = '" . mysql_real_escape_string($this->params) . "'
						
					WHERE
						id = " . $this->id;
            $res  = $link->Query($sql);
            return $res;
        } else {
            return false;
        }
    }
    function Borrar()
    {
        if ($this->id) {
            $link = new DB();
            $sql  = "
					DELETE FROM
						" . DBT_ANUNCIOS_CONTACTOS . "
									
					WHERE
						id = " . $this->id;
            $res  = $link->Query($sql);
            return $res;
        } else {
            return false;
        }
    }
    function ListarCount($where = "", $orderBy, $orderS, $limit1 = 0, $limit2 = 0)
    {
        $link = new DB();
        $sql  = "
				SELECT 
					COUNT(id) AS num
				FROM
					" . DBT_ANUNCIOS_CONTACTOS . "
				";
        if (($where != "")) {
            $sql .= " WHERE " . $where;
        }
        if (($orderBy != "" && $orderS != "")) {
            $sql .= " ORDER BY " . $orderBy . " " . $orderS;
        }
        if (!($limit1 == 0 && $limit2 == 0)) {
            $sql .= " LIMIT $limit1, $limit2 ";
        }
        $res = $link->Query($sql);
        $num = $link->FetchArray($res);
        $num = $num['num'];
        $link->Desconectar();
        return $num;
    }
    function Listar($where = "", $orderBy, $orderS, $limit1 = 0, $limit2 = 0)
    {
        $link = new DB();
        $i    = 0;
        $sql  = "
				SELECT 
					*
					
				FROM
					" . DBT_ANUNCIOS_CONTACTOS;
        if (($where != "")) {
            $sql .= " WHERE " . $where;
        }
        if (($orderBy != "" && $orderS != "")) {
            $sql .= " ORDER BY " . $orderBy . " " . $orderS;
        }
        if (!($limit1 == 0 && $limit2 == 0)) {
            $sql .= " LIMIT $limit1, $limit2 ";
        }
        $res = $link->Query($sql);
        while ($x = $link->FetchArray($res)) {
            $aux = new AnuncioContacto();
            $a   = get_class_vars(get_class($this));
            foreach ($a as $clave => $email) {
                $aux->$clave = $this->filtroSalida($x[$clave]);
            }
            $array[$i] = new AnuncioContacto();
            $array[$i] = $aux;
            $i++;
        }
        $link->Desconectar();
        if ($i == 0) {
            return false;
        } else {
            return $array;
        }
    }
    function BuscarId()
    {
        if ($this->id) {
            $link = new DB();
            $i    = 0;
            $sql  = "
					SELECT 
						*
						
					FROM
						" . DBT_ANUNCIOS_CONTACTOS . "
						
					WHERE
						id = " . $this->id;
            $res  = $link->Query($sql);
            $x    = $link->FetchArray($res);
            $aux  = new AnuncioContacto();
            $a    = get_class_vars(get_class($this));
            foreach ($a as $clave => $email) {
                $aux->$clave = $this->filtroSalida($x[$clave]);
            }
            $link->Desconectar();
            if (!isset($aux->id)) {
                return false;
            } else {
                return $aux;
            }
        } else {
            return false;
        }
    }
    function getLink()
    {
        if (empty($lang))
			$lang = SistemaIdioma::getIdiomaSesion();
			
		$link = '';
		if ($GLOBALS['opciones']['metadatos']['urls_amigables_metadatos'] == 0 && $url_amigable==false){
			$link .= "?extension=ext_anuncios&vista=contacto_anuncios&id=" . $this->id;
			
			$parametros = Helpers::toArray(json_decode($this->params));
			if (!empty($parametros['estilo'])){
				$link .= '&estilo='.$parametros['estilo'];
			} else {
				$parametros['estilo'] = '';
			}
			$link .= '&lang='.$lang;
		} else {
			$params_link = array();
			$cat_asunto = json_decode($this->asunto);
			$cat_asunto = $cat_asunto[0];
			
			if ($cat_asunto > 0){
				$enlace_cat_sel = new Enlace();
				$enlace_cat_sel_c = $enlace_cat_sel->ListarCount("tipo='ext_anuncios' AND vista='contacto_anuncios' AND id_elemento='".$cat_asunto."'");
				
				if ($enlace_cat_sel_c >0){
					$enlace_cat_sel = $enlace_cat_sel->Listar("tipo='ext_anuncios' AND vista='contacto_anuncios' AND id_elemento='".$cat_asunto."'");
					$enlace_cat_sel = $enlace_cat_sel[0];
					$link = $enlace_cat_sel->printLink(1, SistemaIdioma::getIdiomaSesion()).'/'.SistemaIdioma::Imprimir($this->nombre);
					
					return $link;
				}
			}
			
			$link .= Helpers::ArmaURLAmigable('ext_anuncios', 'contacto_anuncios', SistemaIdioma::Imprimir($this->nombre), $this->id, $parametros['estilo'], $lang);
		}
        return $link;
    }
	function getAnuncio(){
		e_include('ext_anuncios/class/anuncio');
		
		$anuncio = new Anuncio();
		if (empty($this->anuncio_id))
			return false;
			
		$anuncio->setid($this->anuncio_id);
		$anuncio = $anuncio->BuscarId();
		
		return $anuncio;

	}
	public static function getDataArray($contacto,$accion="editar"){
		if (!($contacto instanceof AnuncioContacto)) {
			return false;
		}
		
		$data = array();
		
		$data['detalles']['accion'] = $accion;
		
		$data['detalles']['id'] = $contacto->id;
		$data['detalles']['anuncio_id'] = $contacto->anuncio_id;
		$data['detalles']['nombre'] = $contacto->nombre;
		$data['detalles']['telefono'] = $contacto->telefono;
		$data['avanzadas'] = Helpers::toArray(json_decode($contacto->params));
		$data['avanzadas']['asunto'] = $contacto->asunto;
		if (empty($anuncio->fecha))
			$data['detalles']['fecha'] = strftime('%Y-%m-%d', time());
		else
			$data['detalles']['fecha'] = strftime('%Y-%m-%d', strtotime($contacto->fecha));
		
		$data['detalles']['email'] = $contacto->email;
		
		
		return $data;
	}
	function printDeleteButton($filename=null, $plantilla=''){
		if (empty($this->id) || $filename==null)
			return false;
			
		$output = '';
		
		if (empty($plantilla)){
		$output .= '<a id="deleteButton_'.$this->id.'" href="javascript:;"><img src="'.CONF_URL_APP_ADMIN . CONF_DIR_THEMES_ADMIN . '/' . TEMPLATE_ADMIN . '/'.'gfx/icon-delete.gif" alt="'.__('Borrar contacto').'" title="'.__('Borrar contacto').'" /></a>';
		} else {
			$aid = "deleteButton_".$this->id;
			$txt = __('Borrar contacto');
			
			$tmp = str_replace('##ID##', $aid, $plantilla);
			$tmp = str_replace('##TXT##', $txt, $tmp);
			
			$output .= $tmp;
		}	
		
		
		$output .= '<script>
		$(document).ready(function(){ 
	$("#deleteButton_'.$this->id.'").click(function(){
		jConfirm("'.__('¿Seguro que quiere borrar el contacto?').'", "'.__('Borrar contacto').'", function(r){
			if(r == true){
				$.post("'.$filename.'", { borrar: "true", id: '.$this->id.' }, function(data) {
					if ($.trim(data) == "ok") {
						$.jGrowl("'.__('Contacto borrado con éxito').'");
						setTimeout("location.reload(true)", 1000);
						return false;
					} else { 
						$.jGrowl(data);
						return false;
					} 
				});
			}
		});
	});
});
</script>';
		
		return $output;
	}
    function GetersSeters()
    {
        $i = 0;
        $b = get_class_vars(get_class($this));
        foreach ($b as $clave => $email) {
            $codigophp = "//$clave<br/>function set$clave(\$v){<br/> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$this->$clave = \$v; <br/>}<br/>";
            $codigophp .= " function get$clave(){<br/> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;return \$this->$clave; <br/>}<br/><br/>";
            echo $codigophp;
        }
    }
}
?>