<?php
/**
 * Modelo del artículo, permite manejar los artículos de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class AnuncioModel extends DetalleModel {
	protected $global_main_class = 'anuncios';
	
	protected $ext_folder = 'ext_anuncios';
	
	protected $categoria_class = 'AnuncioCategoria';
	protected $item_class = 'Anuncio';
	
	protected $categoria_vista = 'categoria_anuncios';
	protected $item_vista = 'anuncio';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_anuncios/class/anuncio','ext_anuncios/class/anuncioCategoria');
	}
}