<?php
class Anuncios extends Controller
{
	protected $ext_folder = 'ext_anuncios';
	protected $ext_home_vista = 'home';
	protected $ext_categoria_vista = 'categoria_anuncios';
	protected $ext_item_vista = 'anuncio';
	protected $ext_form_item_vista = 'nuevo_anuncio';
	
	protected $ext_item_modelo = 'AnuncioModel';
	protected $ext_categoria_modelo = 'AnuncioCategoriaModel';
	protected $ext_home_modelo = 'HomeAnunciosModel';
	
	protected $ext_categoria_clase = 'AnuncioCategoria';
	protected $ext_item_clase = 'Anuncio';
		
	var $anuncio;
	
	function __construct($pasivo=false){
		parent::__construct($pasivo);
		
	}
	
	public function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_anuncios/class/anuncio','ext_anuncios/class/anuncioCategoria');
		e_include('ext_anuncios/models/anuncio','ext_anuncios/models/categoria','ext_anuncios/models/home');
		if (!class_exists('Anuncio') || !class_exists('AnuncioCategoria')) {
			App::setMsg(__("Error 500: No se ha encontrado la clase de la extensión."), 'error');
			return false;
		}
	}
}