<?php
defined('CONF_URL_APP') or die;
c_include("videos/helperMotorVideo");

$controller = Controller::getInstance();
$item_param = $controller->get('ext_item_vista');

$cls_content = $controller->get('ext_folder') . '_' . $item_param;

global $AppTpl;

e_include("ext_seo/class/seoHelper");

$texto_corto = SistemaIdioma::Imprimir($this->$item_param->objeto->texto_corto);
$contenido = $this->$item_param->objeto->contenido_formateado;
$params_vista = $this->$item_param->objeto->parametros_vista;
$titulo = SistemaIdioma::Imprimir($this->$item_param->titulo);
$ico_categoria = $this->$item_param->objeto->getCategoriaParam("icono");
$img_dest = $this->$item_param->objeto->getimagen_destacada();

$params_pro = Helpers::toArray(json_decode($this->$item_param->objeto->params));

if (!empty($img_dest)){
	$img_dest_map = $this->$item_param->objeto->getimagen_destacada(170, 60);
	$img_map_html = "<a href='".$this->$item_param->objeto->url_formateada."'><img src='".$img_dest_map."' width='100%' /></a>";
}

$img_map_html = '';
		
$attr_li = '';
$class_li = '';
if ($params_vista['mostrar_localizacion'] == '1'){
	$class_li = ' item-map';
	$attr_li = ' data-lat="'.$this->$item_param->objeto->latitud.'" data-lng="'.$this->$item_param->objeto->longitud.'" data-icono="'.$ico_categoria.'" data-color="black" data-caption="'.htmlentities($img_map_html, ENT_COMPAT).'<p><a href=\''.$this->$item_param->objeto->url_formateada.'\'> '.htmlentities(strip_tags(SistemaIdioma::Imprimir($this->$item_param->objeto->titulo)), ENT_QUOTES).'</a><br /><span class=\'direccion\'>'.htmlentities($this->$item_param->objeto->localizacion_html, ENT_QUOTES).'</span></small></p>" data-address="'.htmlentities($this->$item_param->objeto->localizacion_formateada, ENT_QUOTES).'"';
}

$loc_off = false;
if (empty($this->$item_param->objeto->latitud) || empty($this->$item_param->objeto->longitud)){
	$loc_off = true;
}
if($this->$item_param->objeto->getimagen_destacada(748,300) != ''){
	$img_dest = $this->$item_param->objeto->getimagen_destacada(748,300);
	$img_full = $this->$item_param->objeto->getimagen_destacada(1024,768);
}
if ($this->$item_param->objeto->precio > 0){
	$precio_formateado = number_format($this->$item_param->objeto->precio, 2, ',', '.');
}

$is_draft_preview = $GLOBALS['item_draft'] === true ? true : false;

  ?>
<?php if ($is_draft_preview){?>

<div class="alert alert-danger"> <?php echo __('<strong>¡ESTÁS VIENDO UNA REVISIÓN DEL ARTÍCULO!</strong> La información que aparece en esta página pertenece a una revisión de un usuario y no son los datos reales del artículo.');?> </div>
<?php } ?>
<div class="<?php echo $cls_content;?> main_item<?php echo $class_li;?>"<?php echo $attr_li;?>>
  <?php if($params_vista["mostrar_titulo"] == '1'){?>
  <h2 class="page-header"><?php echo $this->$item_param->objeto->titulo_formateado;?></h2>
  <?php } ?>
  <div class="row"> 
    <!-- Image Post -->
    <div class="col-md-12">
      <div class="contenido">
        <div class="panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
          <?php if (!empty($precio_formateado)){?>
          <div class="label label-lg label-default absolute top-right"> <?php echo $precio_formateado;?>&euro; </div>
          <?php } ?>
          <?php if($img_dest !='' && $params_vista["mostrar_imagen"] == '1'){?>
          <div id="carousel_<?php echo $cls_content;?>" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
              <div class="item active"> <a href="<?php echo $img_full ;?>" class="fancybox" rel="group"><img src="<?php echo $img_dest ;?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
            </div>
          </div>
          <?php } ?>
          <!-- End Mini SLide -->
          <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-body<?php } ?>">
            <?php if ($params_vista["mostrar_localizacion"] == '1' && !$loc_off && $params_vista["mostrar_imagen"] == '0'){?>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>"> </div>
            <?php } ?>
            <span>
            <?php if (!empty($contenido)){?>
            <?php echo $contenido; ?>
            <?php } ?>
            </span>
            <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1'){?>
            <hr>
            <div class="row">
              <ul class="thumbnails list-unstyled">
                <?php foreach ($params_pro['galeria'] as $img){
	  					if (is_object($img)) 
							$img = Helpers::toArray($img);
							
						$link_img = "";
						$src_img = "";
						$extra_class_fb = "";
						
						if (isset($img['img'])){
							if (strstr($img['img'], CONF_URL_APP) || (substr($img['img'], 0, 7) != 'http://' && substr($img['img'], 0, 7) != 'http://')) {
								$url_rel = str_replace(CONF_URL_APP, '', $img['img']);
								$link_img = CONF_URL_APP . $url_rel;
								$src_img = CONF_URL_APP . 'image.php/' . $url_rel . '?width=250&height=250&cropratio=1:1&image=' . CONF_URL_APP . $url_rel;
							} else {
								$link_img = $img['img'];
								$src_img = CONF_URL_APP . 'image.php/' . $img['img'] . '?width=250&height=250&cropratio=1:1&image=' . $img['img'];
							}
						} elseif (isset($img['video'])){
							$vid_src = str_replace(CONF_URL_APP, "", $img["video"]);
							
							$vmh = new HelperMotorVideo();
							$mv = $vmh->getMotorPorUrl($vid_src);
							
							if (is_object($mv)){
								$url_thumb = $mv->getThumbnail();
								$link_img = $mv->getUrl();
								$src_img = CONF_URL_APP . 'image.php/' . $url_thumb . '?width=250&height=250&cropratio=1:1&image=' . $url_thumb;
								$extra_class_fb .= " fancybox.iframe";
							}
						}
						
  ?>
                <li class=" col-md-2">
                  <div class='hover-fader thumbnail'><a class="fancybox<?php echo $extra_class_fb;?>" rel="imagenes" href="<?php echo $link_img;?>"><img class="img-rounded" src="<?php echo $src_img;?>" alt="<?php echo $img['titulo'];?>"><span class='zoom'><i class='icon-zoom-in'></i></span></a></div>
                </li>
                <?php } ?>
              </ul>
            </div>
            <?php } ?>
            <?php 
			$campos_extra = $this->$item_param->objeto->getCamposExtra();
			if (!empty($campos_extra) && is_array($campos_extra) && $params_vista['mostrar_campos_extra'] == '1'){?>
            <hr class="medium">
            <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
              <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-heading<?php } ?>">
                <h4 class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-title<?php } ?>"><?php echo __('Información');?></h4>
              </div>
              <div class="in_campos_extra_list <?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-body<?php } ?>">
                <?php foreach ($campos_extra as $campo){
                    $valor_campo = $campo->renderFrontEnd(false);
                    $valor_campo_str = strip_tags($valor_campo, '<img><audio><video><embed>');
                    
                    if (!empty($valor_campo_str)){
                    ?>
                <div class="row">
                  <div class="col-xs-4"> <b><?php echo SistemaIdioma::Imprimir($campo->etiqueta);?></b> </div>
                  <div class="col-xs-8"><?php echo $valor_campo; ?></div>
                </div>
                <?php } ?>
                <?php } ?>
              </div>
            </div>
            <?php } ?>
            <?php foreach ($links_relacionados as $lf){?>
            <a class="btn btn-primary btn-xs" href="<?php echo $lf['url'];?>"><?php echo $lf['label'];?></a>
            <?php } ?>
          </div>
          <div class="panel-footer">
            <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1' || $params_vista["mostrar_categorias"] == '1'){?>
            <div class="pull-right"><small >
              <?php if ($params_vista["mostrar_autor"] == '1') { ?>
              <span><i class="fa fa-user"></i> <span><?php echo $this->$item_param->objeto->getcreador(true);?></span></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <span><i class="fa fa-calendar"></i> <?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->$item_param->objeto->fecha_publicacion));?></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url;?>#comentarios"><span><?php echo $this->$item_param->objeto->numero_comentarios;?></span></a> /
              <?php } ?>
              <?php if ($params_vista["mostrar_categorias"] == '1') { ?>
              <i class="fa fa-folder-open"></i> <?php echo $this->$item_param->objeto->categorias_formateadas;?>
              <?php } ?>
              </small></div>
            <?php } ?>
            <?php if (($params_vista["mostrar_localizacion"] == '1' && !$loc_off) || ($this->$item_param->objeto->es_propietario() || $this->$item_param->objeto->es_editable()) || (!empty($this->$item_param->objeto->tags) && $params_vista['mostrar_tags'] == '1')){?>
            <?php if ($params_vista["mostrar_titulo"] == '1'){?>
            <h4 class="panel-title"><span><?php echo $titulo;?></span> <small><?php echo $this->$item_param->objeto->getcategorias(true);?></small> </h4>
            <address style="margin-bottom:10px!important;">
            <small> <i class="fa fa-globe"></i> <?php echo $this->$item_param->objeto->localizacion_formateada;?></small>
            </address>
            <?php } ?>
            <?php if (!empty($params_pro['web']) || !empty($params_pro['email']) || !empty($params_pro['telefono'])){?>
            <div class="btn-group">
              <?php if (!empty($params_pro['web'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['web'];?>" data-original-text="<?php echo __('Web');?>" data-toggle="tooltip" title="<?php echo __('Ver Web Oficial');?>"><i class="fa fa-globe"></i> <span><?php echo __('Web');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['email'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['email'];?>" data-original-text="<?php echo __('Email');?>" data-toggle="tooltip" title="<?php echo __('Ver Email de Contacto');?>"><i class="fa fa-envelope"></i> <span><?php echo __('Email');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['telefono'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['telefono'];?>" data-original-text="<?php echo __('Teléfono');?>" data-toggle="tooltip" title="<?php echo __('Ver Teléfono');?>"><i class="fa fa-phone"></i> <span><?php echo __('Teléfono');?></span></a>
              <?php } ?>
            </div>
            <?php } ?>
            <?php if (!empty($this->$item_param->objeto->tags) && $params_vista['mostrar_tags'] == '1'){?>
            <div class="tags_list">
              <div class="in_tags_list"> <?php echo $this->$item_param->objeto->gettags(true, ' label label-success', ' '); ?> </div>
            </div>
            <?php } ?>
            <?php } ?>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
      <?php 
	  $next_item = $this->$item_param->getNextItem();
$prev_item = $this->$item_param->getPrevItem(); ?>
      <nav style="text-align: center;">
        <ul class="pager">
          <?php if ($prev_item instanceof ItemModel){?>
          <li class="previous"><a class="prev_item" href="<?php echo $prev_item->url_formateada;?>"><i class="fa fa-chevron-circle-left" aria-hidden="true"></i> <?php echo __('Anterior');?></a></li>
          <?php } ?>
          <?php if ($next_item instanceof ItemModel){?>
          <li class="next"><a class="next_item" href="<?php echo $next_item->url_formateada;?>"><?php echo __('Siguiente');?> <i class="fa fa-chevron-circle-right" aria-hidden="true"></i></i></a></a>
            <?php } ?>
        </ul>
      </nav>
    </div>
  </div>
</div>