<?php
c_include('enlace');
c_include('helpers/categoriasHelper');

class IdElementInputhome
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$output = '<div class="panel-body">';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Categoría').'::'.__('Categoría a mostrar en la página').'">'.__('Categoría').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$ch = new CategoriasHelper();
			if ($instancia = $ch->getInstance('id', 'padre', 'nombre', 'ext_anuncios/class/anuncioCategoria', 'AnuncioCategoria', 'ext_anuncios', 'categoria_anuncios', '')){
			} else {
				return false;
			}
			
			$output .= '<select name="id_elemento_enlace" id="id_elemento_enlace_'.$rand.'" class="select2">';
			if (is_array($ch->data) && sizeof($ch->data) > 0){
				$output .= $ch->display_optionselect_nodes(0, 0, $this->_enlace->id_elemento);
			} else {
				$output .= '<option value="-1">'.__('No hay categorías').'</option>';
			}
			$output .= '</select>';
		}
		$output .= '</div>';
		return $output;
	}
}