<?php
defined('CONF_URL_APP') or die;
if (!defined("DBT_ANUNCIOS"))
	define('DBT_ANUNCIOS', DB_PREFIX.'anuncios');
class Anuncio extends ItemModel
{
	protected $dbt_const = "DBT_ANUNCIOS";
	protected $dbt = "anuncios";
	
	protected $ext_folder = "ext_anuncios";
	protected $ext_vista_categoria = "categoria_anuncios";
	protected $ext_vista_item = "anuncio";
	
	protected $ext_item_class = "Anuncio";
	protected $ext_categoria_class = "AnuncioCategoria";
	protected $ext_item_campoextra_class = "";
	
	protected $all_vars = array("id","titulo","alias","contenido","texto_corto","fecha","fecha_publicacion","estado","imagen_destacada","precio","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","acceso","nombre_contacto","email_contacto","telefono_contacto","tipo_contacto","token","id_original");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","alias","contenido","texto_corto","fecha_publicacion","estado","imagen_destacada","precio","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","acceso","nombre_contacto","email_contacto","telefono_contacto","tipo_contacto","token","id_original");
	
	protected $campos_multilang = array("titulo","alias","contenido","texto_corto","lugar");
	protected $campos_array = array("params","categorias");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_anuncios/class/anuncioCategoria');
	}
}
?>