SET FOREIGN_KEY_CHECKS=0;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__anuncios`
-- 

DROP TABLE IF EXISTS `#__anuncios`;

CREATE TABLE IF NOT EXISTS `#__anuncios` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titulo` text NOT NULL,
  `alias` text NOT NULL,
  `texto_corto` text NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fecha_publicacion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `estado` int(1) NOT NULL DEFAULT '1',
  `imagen_destacada` text NOT NULL,
  `categorias` text NOT NULL,
  `subcategorias` text NOT NULL,
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `tags` text NOT NULL,
  `provincia` int(11) NOT NULL,
  `localidad` int(11) NOT NULL,
  `nombre_contacto` text NOT NULL,
  `email_contacto` text NOT NULL,
  `telefono_contacto` text NOT NULL,
  `tipo_contacto` varchar(100) NOT NULL,
  `visitas` int(11) NOT NULL DEFAULT '0',
  `token` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Volcar la base de datos para la tabla `anuncios`
-- 


-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__anuncios_categorias`
-- 

DROP TABLE IF EXISTS `#__anuncios_categorias`;

CREATE TABLE IF NOT EXISTS `#__anuncios_categorias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(250) NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `estado` int(1) NOT NULL DEFAULT '1',
  `padre` varchar(250) NOT NULL DEFAULT '',
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `params` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
-- Volcar la base de datos para la tabla `anuncios_categorias`
-- 

INSERT INTO `#__anuncios_categorias` VALUES (1, '{"es":"General","en":""}', '{"es":"General","en":""}', '{"es":"","en":""}', '2013-04-17 19:53:57', 1, '["0"]', 0, '', '{"estilo":""}');

SET FOREIGN_KEY_CHECKS=1;