<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Anuncios
 * @subpackage	Model
 * @since		1.0
 */

class AnuncioCategoriaModel extends ListadoModel{
	
	protected $global_main_class = 'anuncios';
	
	protected $ext_folder = 'ext_anuncios';
	
	protected $categoria_class = 'AnuncioCategoria';
	protected $item_class = 'Anuncio';
	
	protected $categoria_vista = 'categoria_anuncios';
	protected $item_vista = 'anuncio';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_anuncios/class/anuncioCategoria','ext_anuncios/class/anuncio');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}