<?php
defined('CONF_URL_APP') or die;

if (!empty($this->categoria->titulo_dinamico))
    $titulo_pagina = $this->categoria->titulo_dinamico;
else
if (empty($titulo_html))
    $titulo_pagina = SistemaIdioma::Imprimir($this->categoria->nombre);
else
    $titulo_pagina = $titulo_html;
	
$mensaje_cargando = $GLOBALS['params_enlace_actual']['listado']['mensaje_cargando'][SistemaIdioma::getIdiomaSesion()];
$img_cargando = $GLOBALS['params_enlace_actual']['listado']['imagen_cargando'];

if (count($this->categoria->items) == 1) {
    $title = __('Post');
} else {
    $title = __('Posts');
}
if ($this->categoria->items != false) { ?>

<div data-infinitescroll="true" <?php if (!empty($mensaje_cargando)){?>data-infinitescroll-msg="<?php echo $mensaje_cargando;?>"<?php } ?> <?php if (!empty($img_cargando)){?>data-infinitescroll-img="<?php echo $img_cargando;?>"<?php } ?> id="is_articulos_articulos_<?php echo $_GET['linkId'];?>">
  <div class="row">
    <?php
            $cuenta = 0;
            foreach ($this->categoria->items as $item) {
                $params_vista = $item->parametros_vista;

                $params_item = Helpers::toArray(json_decode($item->params));

                $galeria_item = $params_item['galeria'];

                $ico_categoria = $item->getCategoriaParam("icono");
				
				$precio_anuncio = false;
				if ($anuncio->precio > 0){
					$precio_anuncio = number_format($item->precio, 2, ',', '.');
				}

                $direccion_completa = '';
                if ($params_vista['mostrar_localizacion'] == '1') {
                    $direccion_completa = $item->localizacion_html;
                }

                $img_dest = '';
                if ($params_vista["mostrar_imagen"] == "1") {
                    $ancho_img = $params_vista["ancho_imagen"];
                    $alto_img = $params_vista["alto_imagen"];

                    if (empty($ancho_img))
                        $ancho_img = '350';

                    if (empty($alto_img))
                        $ancho_img = '274';

                    $img_dest = $item->getimagen_destacada($ancho_img, $alto_img);

                    $img_dest_map = $item->getimagen_destacada(170, 60);

                    $img_map_html = '';
                    if (!empty($img_dest_map)) {
                        $img_map_html = "<a href='" . $item->url_formateada . "'><img src='" . $img_dest_map . "' width='100%' /></a>";
                    }
                }

                $creador_obj = $item->getcreador(true, true);
                $url_creador = 'javascript:;';
                $nombre_creador = __('Usuario');

                if ($creador_obj instanceof Usuario) {
                    $url_creador = $creador_obj->url_formateada;
                    $nombre_creador = $creador_obj->getnombre_completo();
                } elseif ($creador_obj instanceof AdminUsuario) {
                    $nombre_creador = $creador_obj->nombre;
                }

                $class_content = "caption col-md-10 col-lg-10 col-xs-12 col-sm-10";
                if (empty($img_dest)) {
                    $class_content = "caption col-md-12 col-lg-12 col-xs-12 col-sm-12";
                }

                $max_car_cont = empty($params_vista['longitud_contenido']) ? 200 : (int) $params_vista['longitud_contenido'];
                $cont = $params_vista['mostrar_contenido'] == '1' ? Helpers::recortarTexto(strip_tags($item->contenido_formateado), $max_car_cont) : '';

                $cuenta++;
                ?>
    <div class="col-md-12 item-map item-articulo" data-lat="<?php echo $item->latitud; ?>" data-lng="<?php echo $item->longitud; ?>" data-icono="<?php echo $ico_categoria; ?>" data-color="red"  data-caption="<?php echo $img_map_html; ?><p><a href='<?php echo $item->url_formateada; ?>'> <?php echo htmlentities(SistemaIdioma::Imprimir($item->titulo)); ?></a><br /><span class='direccion'><?php echo htmlentities($direccion_completa); ?></span></small></p>">
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>" >
      
        <div class="panel-body">
          <div class="row">
            <?php if (!empty($img_dest)) { ?>
            <div class="col-md-2 col-lg-2 col-xs-12 col-sm-2"> <img class="<?php echo $GLOBALS['AppTpl']->params['clase_imagen']; ?>" src="<?php echo $img_dest; ?>" width="100%" alt="<?php echo SistemaIdioma::Imprimir($item->titulo); ?>"> </div>
            <?php } ?>
            <div class="<?php echo $class_content; ?>">
              <?php if ($item->get_distancia() != false && $params_vista["mostrar_distancia"] == '1') { ?>
              <small class="label label-default pull-right" title="<?php echo __('Distancia'); ?>" data-toggle="tooltip"><i class="fa fa-compass"></i> <?php echo $item->get_distancia(true); ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_karma"] == '1') { ?>
              <small class="label label-success pull-right" title="<?php echo __('karma'); ?>" data-toggle="tooltip"><i class="fa fa-fire"></i> <?php echo $item->karma; ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_titulo"] == '1') { ?>
              <h3>
                <?php if ($params_vista["enlazar_titulo"] == '1') { ?>
                <a href="<?php echo $item->url_formateada; ?>">
                <?php } ?>
                <span><?php echo SistemaIdioma::Imprimir($item->titulo); ?></span>
                <?php if ($params_vista["enlazar_titulo"] == '1') { ?>
                </a>
                <?php } ?>
              </h3>
              <?php } ?>
            </div>
            <div class="<?php if (!empty($img_dest)) { ?>col-md-8 col-lg-8 col-xs-12 col-sm-8<?php } else { ?>col-md-12 col-lg-12 col-xs-12 col-sm-12<?php } ?>">
              <?php if (!empty($precio_anuncio)){?>
              <span class="label label-default label-md"> <?php echo $precio_anuncio;?>&euro; </span>
              <?php } ?>
              <?php if ($params_vista["mostrar_localizacion"] == '1' && !empty($direccion_completa)) { ?>
              <address>
              <i class="fa fa-globe"></i> <?php echo $item->localizacion_formateada; ?>
              </address>
              <?php } ?>
              <?php if (!empty($cont)) { ?>
              <p><?php echo $cont; ?></p>
              <?php } ?>
              <?php if ($params_vista['mostrar_galeria'] == '1' && is_array($galeria_item) && sizeof($galeria_item) > 0) { ?>
              <div class="row">
                <?php
                                            $c_gal = 0;
                                            foreach ($galeria_item as $img_gal) {
                                                if ($c_gal < 6) {
                                                    ?>
                <div class="col-xs-2"> <a href="<?php echo $img_gal['img']; ?>" rel="gal_img_<?php echo $item->id; ?>" class="fancybox <?php echo $GLOBALS['AppTpl']->params['clase_imagen']; ?>"><img src="<?php echo Helpers::generateImageLink($img_gal['img'], 100, 100); ?>" width="100%" /></a> </div>
                <?php
                                                    $c_gal ++;
                                                }
                                            }
                                            ?>
              </div>
              <?php } ?>
            </div>
          </div>
        </div>
        <div class="panel-footer">
          <div class="row">
            <div class="col-sm-8"> <span class="data-info">
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <small>
              <i class="fa fa-calendar"></i> <?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($item->fecha_publicacion)); ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_autor"] == '1') { ?>
              <small><b title="<?php echo __('Autor'); ?>" class="fa fa-user"><span class="hide"><?php echo __('Por'); ?>:</span></b> <?php echo $nombre_creador; ?></small> 
              <?php } ?>
              <?php if ($params_vista["mostrar_categorias"] == '1') { ?>
              <small><i class="fa fa-folder-open"></i> <?php echo $item->getcategorias(true); ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <small><b title="<?php echo __('Comentarios'); ?>" class="fa fa-comment"><span class="hide"><?php echo __('Comentarios'); ?>:</span></b> <a href="<?php echo $item->url_formateada; ?>#comentarios"><?php echo $item->numero_comentarios; ?></a></small>
              <?php } ?>
              </span> </div>
            <div class="col-sm-4">
              <div align="right">
                <?php if (is_array($item->urls_compartir) && sizeof($item->urls_compartir) > 0) { ?>
                <div class="btn-group">
                  <?php
                                            foreach ($item->urls_compartir as $app_name => $share_array) {
                                                echo sprintf($share_array['link_html'], 'btn btn-xs btn-default');
                                            }
                                            ?>
                </div>
                <?php } ?>
                <a href="<?php echo $item->url_formateada; ?>" class="btn btn-xs btn-primary" title="<?php echo __('LEER MÁS'); ?>" data-toggle="tooltip"><i class="fa fa-ellipsis-h"></i></a> </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php } ?>
  </div>
  <?php if ($this->categoria->paginacion != false) { ?>
  <div align="center">
    <ul class="pagination">
      <?php if ($this->categoria->paginacion['actual'] > 1) { ?>
      <li><a href="<?php echo $this->construir_url_categoria(true, array("page" => $this->categoria->paginacion['actual'] - 1)); ?>"><?php echo __('«'); ?></a></li>
      <?php } else { ?>
      <li class="disabled"><a href="javascript:;"><?php echo __('«'); ?></a></li>
      <?php } ?>
      <?php for ($i = $this->categoria->paginacion['seccion_inicio']; $i <= $this->categoria->paginacion['seccion_final']; $i++) { ?>
      <li<?php if ($i == $this->categoria->paginacion['actual']) { ?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true, array("page" => $i)); ?>"><?php echo $i; ?></a></li>
      <?php } ?>
      <?php if ($this->categoria->paginacion['actual'] < $this->categoria->paginacion['total']) { ?>
      <li><a href="<?php echo $this->construir_url_categoria(true, array("page" => $this->categoria->paginacion['actual'] + 1)); ?>"><?php echo __('»'); ?></a></li>
      <?php } else { ?>
      <li class="disabled"><a href="javascript:;"><?php echo __('»'); ?></a></li>
      <?php } ?>
    </ul>
  </div>
  <?php } ?>
</div>
<?php } else { ?>
<div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
  <div class="panel-body" align="center">
    <h4><?php echo __('No hay ningún artículo') ?></h4>
  </div>
</div>
<?php } ?>
